package ru.ulstu.tags.model;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;
import org.hibernate.validator.constraints.NotEmpty;
import ru.ulstu.core.model.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.validation.constraints.Size;

@Entity
@Table(name = "tag")
public class Tag extends BaseEntity {

    @NotEmpty
    @Size(max = 50)
    @Column(name = "tag_name")
    private String tagName;

    public Tag() {

    }

    @JsonCreator
    public Tag(@JsonProperty("id") Integer id,
               @JsonProperty("tag_name") String tagName) {
        this.setId(id);
        this.tagName = tagName;
    }

    public Tag(String name) {
        this.tagName = name;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }
}
